qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Martin Ritchie" <ritch...@apache.org>
Subject Re: Is qpid/java trunk supposed to build without test failures?
Date Tue, 02 Dec 2008 12:33:08 GMT
2008/12/2 Robert Godfrey <rob.j.godfrey@gmail.com>:
> 2008/12/2 Martin Ritchie <ritchiem@apache.org>:
>> Personally I think limiting to building on 1.6 is very annoying. I use
>> my Mac OS X box quite a bit and would rather use the default 1.5. I
>> would argue that we should remove the @Overide that are causing the
>> problem and are only used in the one interface. Small change for a big
>> win IMHO.
>>
>> Martin
>>
>
> I agree we should probably fix this - there's four files affected
> IIRC.  We still have the "having to build it twice to get it to
> succeed" bug for 1.5 builds even then.  I think we should tackle this
> for our next release (i.e. post M4).

Agreed

> note - the built code will run on 1.5 - it's purely changes (bugfixes)
> in the 1.6 compiler that mean these errors do not occur there.

Indeed, just took me a little longer in my ill state to get the MacOS
X 1.6 JDK installed and running, and could have done without the extra
pain, especially as paracetemol doesn't take that away. :)

> Cheers,
> Rob
>



-- 
Martin Ritchie

Mime
View raw message